%define archivename     dejavu-sfd
# This macro has the same value as %{version}, except when testing pre-release snapshots
#%define alphatag        20060913svn1149

%define archiveversion  2.11
%define fontdir         %{_datadir}/fonts/%{name}
%define fontconfdir     %{_sysconfdir}/fonts

# Let the perl Maintainer worry about Unicode.org data files (updates, licensing)
%define Blocks          %(eval "$(%{__perl} -V:privlibexp)"; echo $privlibexp)/unicore/Blocks.txt
%define UnicodeData     %(eval "$(%{__perl} -V:privlibexp)"; echo $privlibexp)/unicore/UnicodeData.txt

Name:      dejavu-fonts
Version:   2.11
Release:   1%{?dist}
Summary:   DejaVu fonts
Group:     User Interface/X
License:   Redistributable, with restrictions
URL:       http://dejavu.sf.net/
Source0:    http://prdownloads.sourceforge.net/dejavu/%{archivename}-%{archiveversion}.tar.gz
# DejaVu fontconfig setup
Source1:   %{name}-fontconfig.conf
# DejaVu fontconfig setup (experimental families)
Source2:   %{name}-experimental-fontconfig.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: fontforge >= 20061019-1
# The CPAN sources do not declare perl(Font::TTF)
BuildRequires: perl-Font-TTF
# Needed to compute unicode coverage
BuildRequires: %{Blocks} %{UnicodeData}
# If we add this the package will require fontconfig
# Requires: %{fontconfdir}/conf.d
BuildArch: noarch
Conflicts: fontconfig < 2.4.0

Obsoletes: %{name}-fontconfig < 2.7.0-0.15
Obsoletes: %{name}-makedefault < 2.9.0-1
Obsoletes: %{name}-block < 2.9.0-1

Provides: %{name}-makedefault = %{version}
Provides: %{name}-fontconfig = %{version}


%description
The DejaVu fonts are a font family based on the Bitstream Vera Fonts release
1.10. Its purpose is to provide a wider range of characters while maintaining
the original look and feel through the process of collaborative development.

This package includes the typefaces the DejaVu project considers mature.


%package experimental
Group:    User Interface/X
Summary:  Experimental DejaVu typefaces
# Does not really make sense without the core typefaces
Requires: %{name} = %{version}-%{release}


%description experimental
The DejaVu fonts are a font family based on the Bitstream Vera Fonts release
1.10.

This package includes the typefaces the DejaVu project considers experimental.


%prep
%setup -q -n %{archivename}-%{archiveversion}


%build
./generate.sh
./status.pl %{version} status.txt *.sfd > status.txt.new
mv status.txt.new status.txt
./unicover.pl %{UnicodeData} %{Blocks} \
              DejaVuSans.sfd Sans \
              DejaVuSerif.sfd Serif \
              DejaVuMonoSans.sfd "Sans Mono" > unicover.txt
# We should probably also regenerate langcover.txt
# but it requires resolution of 
# https://bugs.freedesktop.org/show_bug.cgi?id=6316 


%check
# Current upstream files are full of "problems"
# Do not panic if the output is long
./problems.pl *.sfd


%install
/bin/rm -rf %{buildroot}

#fonts
install -d -m 0755 %{buildroot}%{fontdir}
install -m 0644 generated/*.ttf  %{buildroot}%{fontdir}

# Fontconfig overrides for some scripts
install -d -m 0755 %{buildroot}%{fontconfdir}/conf.d
install -m 0644 %{SOURCE1} %{buildroot}%{fontconfdir}/conf.d/58-dejavu.conf
install -m 0644 %{SOURCE2} %{buildroot}%{fontconfdir}/conf.d/61-dejavu-experimental.conf

%clean
/bin/rm -rf %{buildroot}


%post
if [ -x %{_bindir}/fc-cache ]; then 
  %{_bindir}/fc-cache %{_datadir}/fonts
fi


%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then 
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%post experimental
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi


%postun experimental
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(0644,root,root,0755)
%doc *.txt AUTHORS BUGS LICENSE NEWS README

%config %{fontconfdir}/conf.d/58-dejavu.conf

%dir %{fontdir}
%{fontdir}/DejaVu*.ttf
%exclude %{fontdir}/DejaVu*Condensed*.ttf
%exclude %{fontdir}/DejaVu*ExtraLight*.ttf
%exclude %{fontdir}/DejaVuSerif-*Oblique.ttf


%files experimental
%defattr(0644,root,root,0755)

%config %{fontconfdir}/conf.d/61-dejavu-experimental.conf

%{fontdir}/DejaVu*Condensed*.ttf
%{fontdir}/DejaVu*ExtraLight*.ttf
%{fontdir}/DejaVuSerif-*Oblique.ttf


%changelog
* Sun Oct 22 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.11
- forget about the "condensed" generic, based on current feedback
- new minimal fontforge BR

* Sun Sep 24 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.10.0-2
- rebuild with new fontforge snapshot
- create a "condensed" fontconfig generic
- 2.10.0 > 2.10 so 2.10 is 2.10.0 again (I blame bad advice)

* Sun Sep 17 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.10-1

* Fri Sep 15 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.10.0-0.2.20060913-1149
- match dejavu-lgc core conf style once again

* Wed Aug 30 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.9.0-1
- tweak fontconfig settings to match the style the dejavu-lgc core package
  adopted

* Sun Jul 30 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.8.0-2
- Massive simplification of the spec following dejavu-lgc inclusion in FC. The
  removed parts were intended to workaround the fact no dejavu variant was in
  core. Since there is one now, and dejavu full only complements the dejavu-lgc
  package, core maintainers should take care of the corresponding settings.

* Sun Jul 16 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.8.0-1
- 2.8.0 final

* Wed Jul 12 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.8.0-0.2.rc1
- it's that time of the month again - 2.8.0 rc1 is out
- trim changelog a bit
- copy Vera GASP trick
- add Toga aliases

* Sun Jun 18 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.7.0-1
- 2.7.0 final

* Sun Jun 18 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.7.0-0.19
- clean up descriptions

* Sun Jun 18 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.7.0-0.18
- update to 20060618-945 snapshot
- tighten up obsoletes

* Fri Jun 16 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.7.0-0.17
- all behold the power of the alphatag

* Wed Jun 14 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.7.0-0.15
- update to 20060614-943 snapshot
- do make dejavu the default in all cases when makedefault is installed
- alias Vera derivatives merged in DejaVu
- declare generics for all DejaVu faces
- remove more stuff moved to %%{fontconfdir}/conf.d from the xslts

* Sun Jun 11 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.7.0-0.14
- remove old blocking code before adding new one

* Sun Jun 11 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.7.0-0.12
- replace triggerun by preun

* Sun Jun 11 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.7.0-0.10
- block Sans instead of sans-serif - GNOME uses the first one

* Sun Jun 11 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.7.0-0.9
- reintroduce xslt triggers in dejavu-fonts-block as fontconfig conf.d priority
  is not high enough for our needs

* Sun Jun 11 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.7.0-0.8
- complete and clean up the Vera aliasing

* Sun Jun 11 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.7.0-0.7
- addition of fontconfig blocking for Arabic and Persian
  (experimental but safe)
- tweak of the fontconfig aliasing to make DejaVu fonts the highest prio
  instead of following Vera ranking, and rename the subpackage accordingly

* Sun Jun 11 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.7.0-0.1
- preparation to 2.7.0 based on the current dejavu snapshot

* Mon May 15 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.6.0-1

* Sun Apr 23 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.5.0-1

* Wed Mar 29 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.4.1-1
- (workaround pango problems)

* Wed Mar 22 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.4-1
- 2.4 A big thanks to Štěpán Roh for getting the project there
- split out experimental typefaces
